| mtl-1.1.0.1: Monad transformer library | Source code | Contents | Index
Control.Monad.List |
Portability | non-portable (multi-parameter type classes)
Stability | experimental
Maintainer | libraries@haskell.org
Description
The List monad.
Documentation
newtype ListT m a | Source
Constructors
ListT |
runListT :: (m [a]) |
Instances
MonadTrans ListT
MonadError e m => MonadError e (ListT m)
MonadReader s m => MonadReader s (ListT m)
MonadState s m => MonadState s (ListT m)
Monad m => Functor (ListT m)
Monad m => Monad (ListT m)
MonadCont m => MonadCont (ListT m)
MonadIO m => MonadIO (ListT m)
Monad m => MonadPlus (ListT m)
mapListT :: (m [a] -> n [b]) -> ListT m a -> ListT n b | Source
module Control.Monad
module Control.Monad.Trans
Produced by Haddock version 0.9